# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#															#
# Pogodynka 0.2.2.1													#
#															#
# azhag (azhag@bsd.miki.eu.org)												#
#															# 
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#															#
# Skrypt pobiera informacje o stanie pogody ze strony weather.yahoo.com dla danego miasta, nastpnie formatuje je i	#
# wywietla na ekranie. Skrypt moe by wykorzystany np. w conky'm, xosd, *message.					#
#															#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#															#
# Wymagane aplikacje:													#
# w3m - tekstowa przegldarka www											#
#															#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#															# 
# Przed uyciem skryptu naley ustali zmienne "sciezka" oraz "kod".							#
#															#
# Aby ustali kod swojego miasta wejd na stron http://weather.yahoo.com/ i wyszukaj tam swoje miasto. Kodem jest 	#
# kocwka linka z pogod naszego miasta.										#	
#															#
# Przykadowe kody:													#
# Warszawa - PLXX0028													#
# Krakw - PLXX0012													#
# Gdask - PLXX0005													#
# Szczecin - PLXX0025													#
#															#
# Informacj jak wywietla skrypt mona zmieni haszujc odpowiednie linijki w sekcji "formatowanie informacji		#
# wyjciowej". Mona rwnie w atwy sposb sformatowa wasny wynik uywajc dostepnych zmiennych.			#
#															#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

#!/bin/bash

# Katalog, w ktrym znajduje si skrypt
sciezka=~/scripts

# Kod miasta
kod=CHXX0044

plik=/tmp/pogoda.txt
# sprawdzenie czy serwer jest dostpny
if [ `ping -c1 60.191.124.236 | grep from | wc -l` -eq 0 ]
  then
	echo "Serwis niedostpny"
  else
	# pobieranie informacji
 	w3m -dump http://weather.yahoo.com/forecast/"$kod"_c.html | grep -A21 "Current" | sed 's/DEG//g' > $plik

	# ustalenie wartoci zmiennych
	stan=`head -n3 $plik | tail -n1`
	temp=`tail -n1 $plik | awk '{print $1}'`
	tempo=`head -n6 $plik | tail -n1`
	cisn=`head -n8 $plik | tail -n1`
	wiatr=`head -n16 $plik | tail -n1`
	wilg=`head -n10 $plik | tail -n1`
	wsch=`head -n18 $plik | tail -n1`
	zach=`head -n20 $plik | tail -n1`
	if [ `cat "$sciezka"/pogodynka.sh | grep -x "# $stan" | wc -l` -eq 0 ]
	  then
		stanpl=$stan
	  else
		stanpl=`cat "$sciezka"/pogodynka.sh | grep -xA1 "# $stan" | tail -n1 | awk '{print $2,$3,$4,$5,$6,$7}'`
	fi
	
	# formatowanie informacji wyjciowej
	# dostpne zmienne:
	# $stan		opis stanu po angielsku
	# $stanpl	opis stanu po polsku
	# $temp		temperatura powietrza
	# $tempo	temperatura odczuwalna
	# $cisn		cinienie atmosferyczne
	# $wiatr	kierunek, sia wiatru
	# $wilg		wilgotno powietrza
	# $wsch		godzina wschodu soca
	# $zach		godzina zachodu soca
	
	#echo $stan
	#echo $stanpl
	echo $temp C  /  $tempo C
	#echo Cisnienie $cisn hPa
	#echo $wiatr
	#echo Wilgotno: $wilg
	#echo Wschd Soca: $wsch
	#echo Zachd Soca: $zach
	#echo $stanpl, $temp C

fi

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#
# Tumaczenia stanw pogody.
# Jeeli zauwaysz pogod, ktrej nie ma jeszcze na liscie daj mi zna na maila podanego na grze. Z gry dzikuj.
#
# Sunny
# Sonecznie
# Clear
# Przejrzycie
# Fair
# Pogodnie
# Sunny/Windy
# Sonecznie/Wiatr
# Clear/Windy
# Przejrzycie/Wiatr
# Fair/Windy
# Przejrzycie/Wiatr
# Windy
# Wiatr
#
# Partly Cloudy
# Czciowo pochmurnie
# Partly Cloudy and Windy
# Czciowo pochmurnie/Wiatr
# Partly Sunny
# Czciowo sonecznie
# Mostly Clear
# Przew. przejrzycie
# Partly Sunny/Windy
# Czciowo sonecznie/Wiatr
# Mostly Clear/Windy
# Przew. przejrzycie/Wiatr
# Mostly Sunny
# Przew. ponecznie
# Mostly Sunny/Windy
# Przew. sonecznie/Wiatr
# Scattered Clouds
# Rzadkie oboki
#
# Cloudy
# Pochmurnie
# Overcast
# Cak. zachmurzenie
# Cloudy/Windy
# Pochmurnie/Wiatr
# Overcast/Windy
# Cak. zachmurzenie/Wiatr
# Mostly Cloudy/Windy
# Przew. pochmurnie/Wiatr
# Mostly Cloudy
# Przew. pochmurnie
# Am Clouds / Pm Sun
# Ranek pochmurny/Soneczne popoudnie
#
# Light Drizzle
# Lekka mawka
# Drizzle
# Mawka
# Light Rain
# Lekki deszcz
# Rain
# Deszcz
# Heavy Rain
# Ulewa
# Light Rain/Fog
# Lekki deszcz/Mga
# Rain/Fog
# Deszcz/Mga
# Light Drizzle/Windy
# Lekka mawka/Wiatr
# Drizzle/Windy
# Mawka/Wiatr
# Light Rain/Windy
# Lekki deszcz/Wiatr
# Rain/Windy
# Deszcz/Wiatr
# Rain / Wind
# Deszcz/Wiatr
# Heavy Rain/Windy
# Ulewa/Wiatr
# AM Light Rain
# Ranny lekki deszcz
# PM Light Rain
# Popoudniowy lekki deszcz
# Pm Light Rain
# Popoudniowy lekki deszcz
# AM Light Rain/Windy
# Ranny lekki deszcz/Wiatr
# PM Light Rain/Windy
# Popoudniowy lekki deszcz/Wiatr
#
# Rain Shower
# Przelotny deszcz
# Shower
# Przelotna ulewa
# Showers
# Przelotna ulewa
# Heavy Rain Shower
# Mocna ulewa
# Heavy Rain Shower/Windy
# Mocna ulewa/Wiatr
# Light Rain Shower
# Lekka ulewa
# AM Shower
# Poranna ulewa
# AM Showers
# Poranna ulewa
# Am Showers
# Poranna ulewa
# AM Showers / Wind
# Poranna ulewa/Wiatr
# PM Shower
# Popoudniowa ulewa
# PM Showers / Wind
# Popoudniowe ulewy/Wiatr
# Few Showers / Wind
# Przelotne deszcze/Wiatr
# Showers / Wind
# Deszcze/Wiatr
# PM Showers
# Popoudniowe ulewy
# Pm Showers
# Popoudniowe ulewy
# Scattered Shower
# Rozlega ulewa
# Scattered Showers
# Rozlege ulewy
# Scatter Showers
# Rozlege ulewy
# Rain Shower/Windy
# Przelotny deszcz/Wiatr
# Shower/Windy
# Przelotna ulewa/Wiatr
# Light Rain Shower/Windy
# Lekka ulewa/Wiatr
# AM Shower/Windy
# Poranna ulewa/Wiatr
# PM Shower/Windy
# Popoudniowa ulewa/Wiatr
# Scattered Shower/Windy
# Rozlega ulewa/Wiatr
# Scatter Showers / Wind
# Rozlege ulewy/Wiatr
# Few Showers
# Moliwe ulewy
# Few Showers/Windy
# Moliwe ulewy/Wiatr
# Showers in the Vicinity
# Pobliskie ulewy
#
# Light Snow
# Lekki nieg
# Snow
# nieg
# Snow / Wind
# nieg/Wiatr
# Heavy Snow
# Mocny nieg
# Light Snow Pellets
# Lekki grad nieny
# Snow Pellets
# Grad nieny
# Light Ice Pellets
# Lekki grad lodowy
# Ice Pellets
# Grad lodowy
# Wintery Weather
# Zimowa pogoda
# Light Freezing Rain
# Lekki zamarzajy deszcz
# Freezing Rain
# Zamarzajcy deszcz
# Flurries/Windy
# Zamiecie/Wiatr
# Light Flurries/Windy
# Lekkie zamiecie/Wiatr
# Light Snow/Windy
# Lekki nieg/Wiatr
# Light Snow / Wind
# Lekki nieg/Wiatr
# Snow/Windy
# nieg/Wiatr
# Heavy Snow/Windy
# Mocny nieg/Wiatr
# Light Snow Pellets/Windy
# Lekki grad nieny/Wiatr
# Snow Pellets/Windy
# Grad nieny/Wiatr
# Light Ice Pellets/Windy
# Lekki grad lodowy/Wiatr
# Ice Pellets/Windy
# Grad lodowy/Wiatr
# Light Freezing Rain/Windy
# Lekki zamarzajcy deszcz/Wiatr
# Freezing Rain/Windy
# Zamarzajcy deszcz/Wiatr
# Wintery Mix
# Miks zimowy
# Light Snow Grains
# Lekkie granulki niegu
# Snow Grains
# Granulki niegu
# Rain/Snow
# nieg z deszczem
# Rain / Snow Showers
# Deszcz ze niegiem
# Rain / Snow
# Deszcz ze niegiem
# Rain / Thunder
# Deszcz / Burza
# Rain/Show/Windy
# nieg z deszczem/Wiatr
# Rain / Snow / Wind
# nieg z deszczem/Wiatr
# Light Rain/Freezing Rain
# Lekki deszcz/Zamarzajcy deszcz
# Rain/Freezing Rain
# Deszcz/Zamarzajcy deszcz
# Light Rain/Freezing Rain/Windy
# Lekki deszcz/Zamarzajcy Deszcz/Wiatr
# Rain/Freezing Rain/Windy
# Deszcz/Zamarzajcy deszcz/Wiatr
# AM Snow
# Poranny nieg
# PM Snow
# Popoudniowy nieg
# AM Light Snow
# Poranny lekki nieg
# PM Light Snow
# Popoudniowy lekki nieg
# Ice Crystals
# Krysztaki lodu
# Ice Crystals/Windy
# Krysztaki lodu/Wiatr
# 
# Snow Showers
# Burze niene
# Snow Shower
# Burza niena
# Heavy Snow Shower
# Mocna burza niena
# Heavy Snow Shower/Windy
# Mocna burza niena/Wiatr
# PM Snow Showers
# Popoudniowe burze niene
# AM Snow Showers
# Poranne burze niene
# Rain/Snow Showers
# Deszcz/Burze niene
# Snow Showers/Windy
# Burze niene/Wiatr
# PM Snow Showers/Windy
# Popoudniowe burze niene/Wiatr
# AM Snow Showers/Windy
# Poranne burze niene/Wiatr
# Rain/Snow Showers/Windy
# Deszcz/Burze niene/Wiatr
# Light Snow Showers
# Lekkie burze niene
# Light Snow Shower
# Lekka burza niena
# Light Snow Showers/Windy
# Lekkie burze niene/Wiatr
# Flurries
# Zamiecie
# Light Flurries
# Lekkie zamiecie
# Scattered Flurries
# Rozlege zamiecie
# Few Flurries
# Moliwe zamiecie
# Few Flurries/Windy
# Moliwe zamiecie/Wiatr
# Scattered Snow Showers
# Rozlege burze niene
# Scattered Snow Showers/Windy
# Rozlege burze niene/Wiatr
# Few Snow Showers
# Moliwe burze niene
# Few Snow Showers/Windy
# Moliwe burze niene/Wiatr
# Freezing Drizzle
# Marznca mawka
# Light Freezing Drizzle
# Lekka marznca mawka
# Freezing Drizzle/Windy
# Marznca mawka/Wiatr
# Light Freezing Drizzle/Windy
# Lekka marznca mawka/Wiatr
# Drifting Snow
# Zawieja niena
# 
# Thunderstorms
# Burze
# T-storms
# Burze
# T-Storms
# Burze
# T-Storm
# Burza
# Scattered Thunderstorms
# Rozlege burze
# Scattered T-Storms
# Rozlege burze
# Thunderstorms/Windy
# Burze/Wiatr
# Scattered Thunderstorms/Windy
# Rozlege burze/Wiatr
# Rain/Thunder
# Deszcz/Grzmoty
# Light Thunderstorms/Rain
# Lekkie burze/Deszcz
# Thunderstorms/Rain
# Burze/Deszcz
# Light Rain with Thunder
# Lekki deszcz z grzmotami
# Rain with Thunder
# Deszcz z grzmotami
# Thunder in the Vicinity
# Pobliskie burze
# 
# Fog
# Mga
# Haze
# Lekka mga
# Mist
# Lekkie zamglenie
# Fog/Windy
# Mga/Wiatr
# Haze/Windy
# Lekka Mga/Wiatr
# Mist/Windy
# Lekkie zamglenie/Wiatr
# Partial Fog
# Czciowa mga
# Smoke
# Gsta mga
# Foggy
# Mglisto
# AM Fog/PM Sun
# Ranna mga/Popoudniowe soce
# Shallow Fog
# Pytka mga
# 
# Blowing Dust
# Zawieja pyowa
# Blowing Sand
# Zawieja piaskowa
# Duststorm
# Burza piaskowa
# Wind
# Wiatr
# Widespread Dust/Windy
# Rozlege zamiecie/Wiatr
# Widespread Dust
# Rozlege zamiecie
# Low Drifting Sand
# Zawieja piaskowa
# 
# Data Not Available
# Dane niedostpne
# N/A
# N/D
# N/a
# N/d

